package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.bean.MesPlanOrder;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;

import java.util.List;

/**
 * @Description:
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-04-29-11:58
 * @Modify:
 **/
public class RequestModel {

    private List<MesWorkOrder> workOrderList;

    private List<MesPart> partList;

    private List<MesPlanOrder> planOrderList;

    public RequestModel(List<MesWorkOrder> workOrderList, List<MesPart> partList) {
        this.workOrderList = workOrderList;
        this.partList = partList;
    }

    public List<MesWorkOrder> getWorkOrderList() {
        return workOrderList;
    }

    public RequestModel() {
    }

    public void setWorkOrderList(List<MesWorkOrder> workOrderList) {
        this.workOrderList = workOrderList;
    }

    public List<MesPart> getPartList() {
        return partList;
    }

    public void setPartList(List<MesPart> partList) {
        this.partList = partList;
    }

    public List<MesPlanOrder> getPlanOrderList() {
        return planOrderList;
    }

    public void setPlanOrderList(List<MesPlanOrder> planOrderList) {
        this.planOrderList = planOrderList;
    }
}
